Runs
Run events
List execution events without prompt or result content.
GET
/
v1
/
executions
/
{executionId}
/
events
Run events
curl --request GET \
--url https://api.getmillwork.dev/v1/executions/{executionId}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/executions/{executionId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"at": "2023-11-07T05:31:56Z",
"event_id": "<string>",
"execution_id": "<string>",
"type": "lifecycle",
"acted_by": "<string>",
"mode": "live",
"reason": "<string>",
"slice_id": "<string>",
"state": "accepted"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}⌘I
Run events
curl --request GET \
--url https://api.getmillwork.dev/v1/executions/{executionId}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/executions/{executionId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"at": "2023-11-07T05:31:56Z",
"event_id": "<string>",
"execution_id": "<string>",
"type": "lifecycle",
"acted_by": "<string>",
"mode": "live",
"reason": "<string>",
"slice_id": "<string>",
"state": "accepted"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}